Skip to content
Start here

Fetch all supported webhook events

GET/accounts/{account_id}/realtime/kit/{app_id}/webhooks/all

Returns the list of webhook event names supported by RealtimeKit.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string

The account identifier tag.

maxLength32
app_id: string

The app identifier tag.

ReturnsExpand Collapse
data: array of "meeting.started" or "meeting.ended" or "meeting.participantJoined" or 6 more
One of the following:
"meeting.started"
"meeting.ended"
"meeting.participantJoined"
"meeting.participantLeft"
"meeting.chatSynced"
"recording.statusUpdate"
"livestreaming.statusUpdate"
"meeting.transcript"
"meeting.summary"
success: boolean

Fetch all supported webhook events

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/webhooks/all \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "data": [
    "meeting.started"
  ],
  "success": true
}
Returns Examples
{
  "data": [
    "meeting.started"
  ],
  "success": true
}